Bug 1384150 - unit file needs reload logic breaks with ostree mtime of zero
Summary: unit file needs reload logic breaks with ostree mtime of zero
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-12 16:27 UTC by Colin Walters
Modified: 2017-12-12 11:03 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 11:03:12 UTC


Attachments (Terms of Use)

Description Colin Walters 2016-10-12 16:27:44 UTC
This is a regression from F24 -> F25.  It's a variant of https://bugzilla.redhat.com/show_bug.cgi?id=1383708

Basically all systemctl commands show unit files needing a reload.

I think this is from either
https://github.com/systemd/systemd/commit/ab932a622d57fd327ef95992c343fd4425324088
https://github.com/systemd/systemd/commit/3a8db9fe81b3f7faae7f09c4ac7d2c863bf0177d

or a combination.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-10-16 21:22:59 UTC
https://github.com/systemd/systemd/pull/4388

Comment 2 Dusty Mabe 2017-01-17 14:15:10 UTC
hey Zbigniew, can we get this backported to f25? I'd rather not wait a whole release if possible to get this fixed for our Fedora Atomic Host users.

Comment 4 Fedora End Of Life 2017-11-16 19:23:13 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 11:03:12 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.